#ifndef user_roles_dialog_H
#define user_roles_dialog_H

#include <QDialog>
#include "ui_user_roles_dialog.h"
#include "SH_types.h"


class UserRolesDialog: public QDialog, protected Ui::UserRolesDialog {
	Q_OBJECT
public:
	explicit UserRolesDialog(QWidget * parent = 0);
	~UserRolesDialog();

	 QVector<SHS::UserRole> getRoles() const;

	bool exec(const QVector<SHS::UserRole> & roles);

private:
	QTreeWidgetItem * addRole(const SHS::UserRole & r);

public slots:

private slots:
	void on_buttonAdd_clicked();
	void on_buttonRemove_clicked();

};

#endif
